From c11c8b2cc00c39f87b7ba21bea76267f38c27beb Mon Sep 17 00:00:00 2001
From: dev <dev@SC20>
Date: Mon, 17 Jul 2023 20:27:46 +0530
Subject: [PATCH 10/10] Adding new patch for ADB-Device ID fix

Change-Id: I1f7cf202e7e6d35f35c1e269caf31293a5c046a7
---
 drivers/usb/gadget/android.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/usb/gadget/android.c b/drivers/usb/gadget/android.c
index de227392..0cf55948 100644
--- a/drivers/usb/gadget/android.c
+++ b/drivers/usb/gadget/android.c
@@ -3567,7 +3567,7 @@ static int android_bind(struct usb_composite_dev *cdev)
     *  law modify for iSerialNumber modify  
     *  *************************************************/
     #if defined(CONFIG_DEBUG_ATOMIC_SLEEP)
-    id=0;
+    id= usb_string_id(cdev);
     #else
     id = usb_string_id(cdev);
     #endif
-- 
2.41.0

